Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
RMA_label_points.scm Error
#1
Hi,

What change can I make to make the script functional again?

Script: RMA_label_points.scm
Gimp: Samj's portable 2.10.21 / win10

Messages:
--------------------------------------------------------------------------------------------------------------------------
    Label Path Points Warning
Error while executing RMA_label_points:

Error: (: 1) eval: unbound variable: NORMAL-MODE


   GIMP Warning
'Label Path Points' plug-in left image undo in inconsistent state, closing open undo groups.
--------------------------------------------------------------------------------------------------------------------------

Thank you very much in advance!


Attached Files
.zip   RMA_label_points.zip (Size: 2.6 KB / Downloads: 9)
Reply
#2
Put a 0 instead. But that works on regular Gimp, it is likely that SamJ doesn't compile Gimp with the backwards compatibility flags (which is OK for a development version, but not for a "general audience" version).
Reply
#3
I was using this just the other day with no problems (Gimp 2.10.20)

However the attached run through tin-trans script/plugin updater (also in the zip, try it next time you get similar error) to change those old modes.

New version working here, problem might be that samj Gimp version, I do not have one to try.


Attached Files
.zip   label_points.zip (Size: 6.15 KB / Downloads: 5)
Reply
#4
(08-29-2020, 05:08 PM)Ofnuts Wrote: Put a 0 instead. But that works on regular Gimp, it is likely that SamJ doesn't compile Gimp with the backwards compatibility flags (which is OK for a development version, but not for a "general audience" version).
Huh  where to put a '0'?

(08-29-2020, 05:09 PM)rich2005 Wrote: I was using this just the other day with no problems (Gimp 2.10.20)

However the attached run through tin-trans script/plugin updater (also in the zip, try it next time you get similar error) to change those old modes.

New version working here, problem might be that samj Gimp version, I do not have one to try.

I used the attached script but it generated another message:

   Label Path Points Warning
Error while executing RMA_label_points:

Error: (: 1) atom-> string: needs 1 argument (s)


   GIMP Warning
'Label Path Points' plug-in left image undo in inconsistent state, closing open undo groups.


Should I use gimp10_constantize.py again?

Thx!
Reply
#5
No, that will not fix it.
Reply
#6
@Krikor

Try the attached, deprecated procedures replaced, no legacy modes.

Checked in a Gimp with switch --pdb-compat-mode=off 
The problem with the samj portable is it uses launchers to set variables and start Gimp. No way of adding --pdb-compat-mode=on to the launcher. I should add that the regular Gimp 2.10.20 from gimp.org has better backward compatibility than previous version.

However proof Wink Win10 (VM) samj2.10.21  https://i.imgur.com/K4yLvuv.jpg


Attached Files
.zip   ra_label_points_210.zip (Size: 2.5 KB / Downloads: 5)
Reply
#7
Hi @rich2005,

I don't know anything about pdb ... On or pdb ... Off. I'm just a very lay user.

I don't understand, I installed the version of the previous attachment and I was confident that this time it would work, but somehow it didn't work, it still generates windows with errors.
   
At least I can still use the Label arrows from path and Label numbers from actives paths points plug-ins

Thank you very much for your effort with the script!

(08-30-2020, 06:42 PM)Krikor Wrote: Hi @rich2005,

I don't know anything about pdb ... On or pdb ... Off. I'm just a very lay user.

I don't understand, I installed the version of the previous attachment and I was confident that this time it would work, but somehow it didn't work, it still generates windows with errors.

At least I can still use the Label arrows from path and Label numbers from actives paths points plug-ins
   
Thank you very much for your effort with the script!
Reply
#8
Quote: Error: (: 1) atom-> string: needs 1 argument (s)

You don't by any chance have this scrollable script-fu thingy installed?
That's the kind of error it produces
Reply
#9
OK strange that worked in the samj gimp I used however, that NORMAL-MODE should have been LAYER-MODE-NORMAL I have replaced the zip in the previous post, can you please check it.
Reply
#10
(08-30-2020, 07:16 PM)nelo Wrote:
Quote: Error: (: 1) atom-> string: needs 1 argument (s)

You don't by any chance have this scrollable script-fu thingy installed?
That's the kind of error it produces

Which script more precisely? I could check it.

(08-30-2020, 07:17 PM)rich2005 Wrote: OK strange that worked in the samj gimp I used however, that NORMAL-MODE should have been LAYER-MODE-NORMAL  I have replaced the zip in the previous post, can you please check it.

Rich2005,
Okay, I checked the new attachment. The error message again changed to:

==============================================
  Label Path Points Warning
Error while executing RMA_label_points:

Error: ( : 1) atom->string: needs 1 argument(s) 


  GIMP Warning
Plug-in 'Label Path Points' left image undo in inconsistent state, closing open undo groups.
==============================================


I don't understand why it worked on your Samj 2.10.21 and it gives me an error.
Reply


Forum Jump: